# Crumpet - A Deliciously Simple Framework
[Crumpet is a deliciously simple SASS/SCSS responsive framework that keeps your HTML clean & stays out of your way.](http://suitedpixel.com/crumpet/)

**Tidy HTML** - Uses placeholder selectors to reduce the size of your HTML. No one likes messy.

**Create Fast** - Creating website layouts fast & responsive will be a breeze. Fast & smart building.

**Freedom** - Allows you the freedom to do what you want with your code. Make it your own.

## Why?

I hate messy HTML markup, so I wanted to take advantage of the placeholder selectors that's built into SASS to stop all that mess and keep it in the CSS.

[Learn about how placeholder selectors work](http://thesassway.com/intermediate/understanding-placeholder-selectors)

I wanted to let people have the freedom to do what they want with their code, so this framework is easy and simple to hack about and make your own.

## What's in the ingredients?

Super easy to understand and get started with, all of Crumpet’s code has been commented through out to give you a full understanding of each line, meaning you can spend all your precious time in the code editor. Here are the few files that Crumpet comes with to get you going:

* A `index.html` that gives you a little demo.
* A `settings.scss` file which has the frameworks settings in.
* A `main.scss` which has some demo styles, as well as some instruction on how to incorporate the grid into your site.

## Browser Support

Crumpet can quite easily support pretty much any browser you want with the right files, but I decided I'd leave it to you guys to add the ones that you find work for you (I know we all have our favourites).

## Notes

Head over to [Crumpets](http://suitedpixel.com/crumpet/) site to get a quick overlook about how it works.

*Why the name 'Crumpet'?* - Why not? I'm British, it's allowed.

Any problems, ideas or questions post an issue, hit me up on twitter [@AdamMarsdenUK](https://twitter.com/AdamMarsdenUK) or find some other fancy way to get in touch, it's the 21st century after all.

Built with flour & yeast by [Adam Marsden](http://adam-marsden.co.uk).

## MIT Open Source License

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
